## libssc 0.2.2

=== utils/requirements.txt ===
protobuf_inspector

## libssc 0.2.1

=== debian/changelog ===
libssc (0.2.1-1) experimental; urgency=medium

  * New upstream release
  * Add new build and test dependencies
  * tests: Use g_assert_no_error
  * mocking: Don't bother which python is found
  * Adust installation paths
  * Add new symbols
  * libssc: Don't leak *_thread_running symbols
  * Bump standards version
  * d/copyright: Remove redundant globbing

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Feb 2025 17:19:52 +0100

libssc (0.1.6-1) experimental; urgency=medium

  * Initial release (Closes: #1075789)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Jul 2024 09:01:17 +0200

=== debian/control ===
Source: libssc
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libmbim-glib-dev,
 libprotobuf-c-dev,
 libpython3.13-dev,
 libqmi-glib-dev,
 meson,
 protobuf-compiler,
 protobuf-c-compiler,
 pkgconf,
 libqrtr1 <!nocheck>,
 python3-gi <!nocheck>, 
 python3-protobuf <!nocheck>, 
Standards-Version: 4.7.0
Section: libs
Homepage: https://codeberg.org/DylanVanAssche/libssc.git
Rules-Requires-Root: no

Package: libssc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libssc0 (= ${binary:Version}),
 libglib2.0-dev,
Description: Qualcomm sensor core library - development headers
 libssc is a library to expose the sensors managed by the Qualcomm Sensor Core
 found in many Qualcomm System-on-Chips (SoCs) from 2018 and onwards.
 .
 This package contains the development headers.

Package: libssc0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qualcomm sensor core library - shared library
 libssc is a library to expose the sensors managed by the Qualcomm Sensor Core
 found in many Qualcomm System-on-Chips (SoCs) from 2018 and onwards.
 .
 This package contains the shared library.

Package: libssc-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qualcomm sensor core library - binaries
 libssc is a library to expose the sensors managed by the Qualcomm Sensor Core
 found in many Qualcomm System-on-Chips (SoCs) from 2018 and onwards.
 .
 This package contains the command line tools.

## libssc 0.2.2

=== debian/changelog ===
libssc (0.2.2-1) experimental; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream
  * libssc: Don't leak thread related symbols into global scope
  * libssc-dev: Add missing dependencies
  * Add autopkgtest

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Aug 2025 18:32:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  libprotobuf-c-dev,
  libpython3.13-dev,
  libqmi-glib-dev,
+ libqrtr1 <!nocheck>,
  meson,
+ pkgconf,
+ protobuf-c-compiler,
  protobuf-compiler,
- protobuf-c-compiler,
- pkgconf,
- libqrtr1 <!nocheck>,
- python3-gi <!nocheck>, 
- python3-protobuf <!nocheck>, 
+ python3-gi <!nocheck>,
+ python3-protobuf <!nocheck>,
 Standards-Version: 4.7.0
 Section: libs
 Homepage: https://codeberg.org/DylanVanAssche/libssc.git
@@ -25,9 +25,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libglib2.0-dev,
+ libprotobuf-c-dev,
+ libqmi-glib-dev,
+ libssc0 (= ${binary:Version}),
  ${misc:Depends},
- libssc0 (= ${binary:Version}),
- libglib2.0-dev,
 Description: Qualcomm sensor core library - development headers
  libssc is a library to expose the sensors managed by the Qualcomm Sensor Core
  found in many Qualcomm System-on-Chips (SoCs) from 2018 and onwards.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	# See https://codeberg.org/DylanVanAssche/libssc/issues/62
	dh_auto_test -- --verbose --print-errorlogs tests-no-service

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libssc-dev,
 pkg-config,
Restrictions:
 allow-stderr,

Test-Command: ssccli --help
Depends:
 libssc-bin,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://codeberg.org/DylanVanAssche/libssc/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## libssc 0.3.0

=== debian/changelog ===
libssc (0.3.0-1) experimental; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream
  * Update symbols
  * Adjust to so-name bump
  * Add leak fixes from upstream merge request
  * Add GObject introspection and vapi files

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Jan 2026 13:29:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,8 @@
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
+ gir1.2-gio-2.0-dev <!nogir>,
  libglib2.0-dev,
  libmbim-glib-dev,
  libprotobuf-c-dev,
@@ -15,6 +17,7 @@
  protobuf-compiler,
  python3-gi <!nocheck>,
  python3-protobuf <!nocheck>,
+ valac,
 Standards-Version: 4.7.0
 Section: libs
 Homepage: https://codeberg.org/DylanVanAssche/libssc.git
@@ -24,11 +27,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Provides:
+ gir1.2-ssc-1-dev (= ${binary:Version}),
 Depends:
+ gir1.2-ssc-1 (= ${binary:Version}),
  libglib2.0-dev,
  libprotobuf-c-dev,
  libqmi-glib-dev,
- libssc0 (= ${binary:Version}),
+ libssc1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Qualcomm sensor core library - development headers
  libssc is a library to expose the sensors managed by the Qualcomm Sensor Core
@@ -36,7 +42,7 @@
  .
  This package contains the development headers.
 
-Package: libssc0
+Package: libssc1
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -58,3 +64,16 @@
  found in many Qualcomm System-on-Chips (SoCs) from 2018 and onwards.
  .
  This package contains the command line tools.
+
+Package: gir1.2-ssc-1
+Architecture: any
+Multi-Arch: same
+Section: introspection
+Depends:
+ ${gir:Depends},
+ ${misc:Depends},
+Description: GObject introspection data for libssc
+ libssc is a library to expose the sensors managed by the Qualcomm Sensor Core
+ found in many Qualcomm System-on-Chips (SoCs) from 2018 and onwards.
+ .
+ This package contains introspection data for the libssc library.
